Name:		cpptasks
Version:	1.0b5
Release:	%mkrel 22
Group:          Development/Java
Summary:	Compile and link task for ant

License:	ASL 2.0
URL:		https://ant-contrib.sourceforge.net/
Source0:	https://downloads.sourceforge.net/ant-contrib/cpptasks-1.0b5.tar.gz
Source1:	%{name}-README.fedora

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant)
BuildRequires:  mvn(xerces:xercesImpl)

BuildArch:	noarch

%description
This ant task can compile various source languages and produce
executables, shared libraries (aka DLL's) and static libraries. Compiler
adapters are currently available for several C/C++ compilers, FORTRAN,
MIDL and Windows Resource files.

%package        javadoc
Summary:	Javadoc for %{name}

%description	javadoc
Javadoc documentation for %{summary}.

%prep
%setup -q

find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

sed -i 's/\r//' NOTICE 

cp -p %{SOURCE1} ./README.fedora

# Use default compiler configuration
%pom_remove_plugin :maven-compiler-plugin

# Let xmvn generate javadocs
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

# No need to assemble distribution tarballs
%pom_remove_plugin :maven-assembly-plugin

# Fix dependency on ant
%pom_change_dep ant:ant org.apache.ant:ant
%pom_remove_dep ant:ant-nodeps
%pom_remove_dep ant:ant-trax

%mvn_file :%{name} ant/%{name}

%build
%mvn_build

%install
%mvn_install

# Place a file into ant's config dir
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ant.d/
echo "ant/%{name}" > $RPM_BUILD_ROOT/%{_sysconfdir}/ant.d/%{name}

%files -f .mfiles
%license LICENSE NOTICE
%doc README.fedora
%{_sysconfdir}/ant.d/%{name}

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Thu May 23 2024 ns80 <ns80> 1.0b5-22.mga10
+ Revision: 2066524
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.0b5-21.mga9
+ Revision: 1827280
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.0b5-20.mga8
+ Revision: 1489293
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0b5-19.mga7
+ Revision: 1260340
- Mageia 7 Mass Rebuild

* Thu May 18 2017 neoclust <neoclust> 1.0b5-18.mga6
+ Revision: 1102971
- Fix build

* Fri Mar 11 2016 daviddavid <daviddavid> 1.0b5-17.mga6
+ Revision: 989134
- Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 1.0b5-16.mga6
+ Revision: 980256
- First rebuild of the java stack
- sync package cpptasks with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ shlomif <shlomif>
- SPEC cleanup - tabs+trailing space

* Wed Oct 15 2014 umeabot <umeabot> 0:1.0-0.b5.3.mga5
+ Revision: 744479
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Nov 10 2013 dmorgan <dmorgan> 0:1.0-0.b5.1.mga4
+ Revision: 550429
- Build with xmvn

* Tue Oct 22 2013 umeabot <umeabot> 0:1.0-0.b5.0.4.mga4
+ Revision: 545836
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0:1.0-0.b5.0.3.mga4
+ Revision: 501892
- BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 0:1.0-0.b5.0.2.mga3
+ Revision: 348242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 06 2011 gil <gil> 0:1.0-0.b5.0.1.mga2
+ Revision: 177132
- corrected  jar version
- update to 1.0b5
  removed gcj macro
  adapt to new guideline
  build with maven 3.x support

* Sun Mar 13 2011 grenoya <grenoya> 0:1.0-0.b4.4.4.mga1
+ Revision: 70481
- imported package cpptasks


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.0-0.b4.4.4mdv2011.0
+ Revision: 617435
- the mass rebuild of 2010.0 packages

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 0:1.0-0.b4.4.3mdv2010.0
+ Revision: 425149
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:1.0-0.b4.4.2mdv2009.0
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.0-0.b4.4.2mdv2008.1
+ Revision: 120855
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.0-0.b4.4.1mdv2008.0
+ Revision: 87301
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Tue Aug 28 2007 David Walluck <walluck@mandriva.org> 0:1.0-0.b4.4.0mdv2008.0
+ Revision: 72510
- rebuild
- Import cpptasks



* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:1.0-0.b4.4mdv2007.0
- (Build)Requires: xerces-j2

* Mon Jul 24 2006 David Walluck <walluck@mandriva.org> 0:1.0-0.b4.3mdv2007.0
- rebuild

* Wed Jun 14 2006 David Walluck <walluck@mandriva.org> 0:1.0-0.b4.2mdv2007.0
- fix duplicated LICENSE and NOTICE files

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:1.0-0.b4.1mdv2007.0

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:1.0-0.b3.2.0.2mdk
- add antlib.xml

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:1.0-0.b3.2.0.1mdk
- release

* Mon Sep 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b3.2jpp
- Upgrade to Ant 1.6.X
- Build with ant-1.6.2
- Upgraded to 1.0.b3 and relaxed requirements on Thu Jul 15 2004 
  by Ralph Apel <r.apel at r-apel.de> as 0:1.0-0.b3.1jpp

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b2.4jpp
- Build with ant-1.6.2
- Relax versioned BuildReq
- Drop junit runtime requirement

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b2.3jpp
- Also runtime dep to Ant 1.6.X

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:1.0-0.b2.2jpp
- Upgrade to Ant 1.6.X

* Wed Mar 24 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-0.b2.1jpp
- First JPackage release
